from practicum import find_mcu_boards, McuBoard
from peri import PeriBoard
from time import sleep
import os

devs = find_mcu_boards()

if len(devs) == 0:
    print("*** No practicum board found.")
    exit(1)

mcu = McuBoard(devs[0])
print("*** Practicum board found")
print("*** Manufacturer: %s" % \
        mcu.handle.getString(mcu.device.iManufacturer, 256))
print("*** Product: %s" % \
        mcu.handle.getString(mcu.device.iProduct, 256))
peri = PeriBoard(mcu)
ldr1=0
ldr2=0
ldr3=0
ldr4=0
dark = 700
while True:
    #peri.set_led(0)
    
    light1,light2,light3,light4 = peri.get_light_multi()
    print("Light value: %d %d %d %d" %(light1,light2,light3,light4))
    if (light1 < dark) :
        ldr1=1
    else :
        ldr1=0
    if (light2 < dark) :
        ldr2=1
    else :
        ldr2=0
    if (light3 < dark) :
        ldr3=1
    else :
        ldr3=0
    if (light4 < dark) :
        ldr4=1
    else :
        ldr4=0
    print("Status LDR 1:%d 2:%d 3:%d 4:%d" %(ldr1,ldr2,ldr3,ldr4))
    #status
    if (ldr1 and ldr2 and ldr3 and ldr4):
            peri.set_led(1,0) #green
            peri.set_led(0,1) #red
    else :
        peri.set_led(0,0) #red
        peri.set_led(1,1) #green
    f = open("tmp.txt","w")
    f.write("%d %d %d %d"%(ldr1,ldr2,ldr3,ldr4))
    f.close()
    os.rename("tmp.txt","status.txt")
    sleep(1)


