RQ_SET_LED       = 0
RQ_SET_LED_VALUE = 1
RQ_GET_SWITCH    = 2
RQ_GET_LIGHT     = 3
RQ_GET_LIGHT_MULTI     = 4


####################################
class PeriBoard:

    ################################
    def __init__(self, mcu):
        self.mcu = mcu

    ################################
    def set_led(self, led_no, led_state):
        '''
        Set status of LED led_no on peripheral board to led_state
        (0 => off, 1 => on)
        '''
        self.mcu.usb_write(RQ_SET_LED, index=led_no, value=led_state)

    ################################
    def get_light_multi(self):
        '''
        Return the current reading of light sensor on peripheral board
        '''
	
        low0,high0,low1,high1,low2,high2,low3,high3 = self.mcu.usb_read(RQ_GET_LIGHT_MULTI, 8)
        return [low0+high0*256,low1+high1*256,low2+high2*256,low3+high3*256]

